pro nis_clean, dir, rdf=rdf, cdn=cdn, dks=dks,dko=dko,rad=rad,iof=iof,all=all 

;ABSTRACT
;    Cleans out preformatted and calibrated NIS FITS files.
;    DIR needs following slash = '/dir1/dir2/'
;    Default dir = this one

if n_elements(dir) eq 0 then begin
    print,'Usage is: nis_clean, '/dir/',/rfd,/cdn,/dks,/dko,/rad,/iof,/all'
return
endif     

spawn,'/bin/rm '+dir+'*.000'
spawn,'/bin/rm '+dir+'*.raw'
if n_elements(all) ne 0 or n_elements(rfd) ne 0 then spawn,'/bin/rm '+dir+'*.rfd'
if n_elements(all) ne 0 or n_elements(cdn) ne 0 then spawn,'/bin/rm '+dir+'*.cdn'
if n_elements(all) ne 0 or n_elements(dks) ne 0 then spawn,'/bin/rm '+dir+'*.dks'
if n_elements(all) ne 0 or n_elements(dko) ne 0 then spawn,'/bin/rm '+dir+'*.dko'
if n_elements(all) ne 0 or n_elements(rad) ne 0 then spawn,'/bin/rm '+dir+'*.rad'
if n_elements(all) ne 0 or n_elements(iof) ne 0 then spawn,'/bin/rm '+dir+'*.iof'

return
end

